<?php

return [
    // HIS SOAP 服务
    'his_soap' => [
        'url'                     => '',
        'location'                => '',
        'service_type_namespace'  => 'HisSoapService\ServiceType\\',
        'struct_type_namespace'   => 'HisSoapService\StructType\\',
        // 不记录日志的请求数组
        'not_log_arr'             => [],
        // 是否模拟数据
        'is_mock'                 => true,
    ],
    // HIS HTTP服务 -- 方鼎中间件转发
    'his_http' => [
        // 测试地址
        'url'                     => 'http://192.168.61.45:8809/api/WeChatDomain/',
        // 不记录日志的请求数组
        'not_log_arr'             => [''],
        // 是否模拟数据
        'is_mock'                 => true,
        // guzzle/client options
        'options'                 => [
            'timeout'             => 60
        ]
    ],
    // HIS Medical HTTP服务
    'his_medical_http' => [
        // 测试地址
        'url'                     => 'http://192.168.61.44:8010/api/his/',
        // 不记录日志的请求数组
        'not_log_arr'             => [''],
        // 是否模拟数据
        'is_mock'                 => true,
        // guzzle/client options
        'options'                 => [
            'timeout'             => 60
        ]
    ],
];
